$(document).ready(function(){

    /////////////// Фильтр карт для фл
    $('.filter_cols input').on('ifToggled', function(event){
        //Если переключаем тип карты, сбрасываем остальные параметры.
        if($(this).parents('.col1').html()){
            $('.col2 input').iCheck('uncheck');
            $('.col3 input').iCheck('uncheck');
        }
        $('.filter_cols input').iCheck('enable');
        $('label').removeClass('disabled');
        $('.one_card').show();
        var valute= [];
        var system=0;
        var paramsCh = [];
        //Получаем отмеченную систему
        if($('.col1 input:checked').val()){
            system = $('.col1 input:checked').val();
        }
        //Получаем отмеченную валюту
        $('.col2 input:checked').each(function(){
            var i = valute.length;
            valute[i] = $(this).val();
        });
        //Получаем отмеченные преимущества
        $('.col3 input:checked').each(function(){
            var i=paramsCh.length;
            paramsCh[i]=$(this).val();
        });

        //Проходим по каждой карте и открываем нужные
        $('.one_card').each(function(){
            var dt = JSON.parse($(this).attr('data'));
            if(system!=0 && dt.system!=system) $(this).hide();
            if(valute!=0 && ( (valute.indexOf('RUB')!=-1 && dt.rub==0) || (valute.indexOf('EUR')!=-1 && dt.eur==0) || (valute.indexOf('USD')!=-1 && dt.usd==0) )) $(this).hide();
            var params = dt.params.split('|');
            for(e=0;e<paramsCh.length;e++){
                if(params.indexOf(paramsCh[e])==-1){
                    $(this).hide();
                }
            }
        });

        //Собираем все возможные значения
        var facetParams = [];
        var facetVals = [];
        var facetSys = [];

        $('.one_card:visible').each(function(){
            var dt = JSON.parse($(this).attr('data'));
            var params = dt.params.split('|');
            for(i=0;i<params.length;i++){
                var e = facetParams.length;
                facetParams[e]=params[i];
            }
            if(dt.rub==1){
                var e = facetVals.length;
                facetVals[e]='RUB';
            }
            if(dt.eur==1){
                var e = facetVals.length;
                facetVals[e]='EUR';
            }
            if(dt.usd==1){
                var e = facetVals.length;
                facetVals[e]='USD';
            }
            var e = facetSys.length;
            facetSys[e]=dt.system;
        });

        $('.col2 input').each(function(){
            if(facetVals.indexOf($(this).val())==-1){
                $(this).iCheck('disable');
                $('label[for='+$(this).attr('id')+']').addClass('disabled');
            }
        });
        $('.col3 input').each(function(){
            if(facetParams.indexOf($(this).val())==-1){
                $(this).iCheck('disable');
                $('label[for='+$(this).attr('id')+']').addClass('disabled');
            }
        });

    });

    $('#allCards').click(function(){
        $('.filter_cols input').iCheck('uncheck');
        return false;
    });

    $('.calculate.readMore').click(function(){
        $($(this).attr('href')).slideToggle();
        return false;
    });

    $('.cards_info .one_card').each(function(){
        if($('input[name=init]',this).attr('data')!='' && $('input[name=init]',this).attr('data')!=0){
            $('.calculate.readMore',this).show();
        }

    });

    $('.calculatorCard .column.calcSection input[name=init]').bind("keyup keydow keypress change click focus",function(){
        var parent = $(this).parents('.calculatorCard');
        var cardSumm = $(this).val();
        var percent = $(this).attr('data')/100;
        var yearSumm = cardSumm * percent;
        var monthSumm = (cardSumm * percent) / 12;
        $('input[name=month]',parent).val(number_format(monthSumm,2,"."," "));
        $('input[name=year]',parent).val(number_format(yearSumm,2,"."," "));
    });


});